4.1.8      Wedge

The  button from Primitives section in Geometry tab and Geometry->Primitives->Create Wedge... command from main menu invoke Create Wedge dialogue for creating a Wedge primitive object.

The Create Wedge dialogue with default parameters and preview of the wedge solid will appear.


Name and medium

We can set the name of the wedge and choose the medium assigned to the wedge from Medium list. The Medium list contains all media available in the Project Media and the default medium is taken from current active medium (see Project Media chapter for more information).


Parameters

The Parameters section contains wedge dimensions: base face X axis span (X min/max), wedge height span (Y min/max), base face Z axis span (Z min/max), top face X axis span (X2 min/max) and top face Z axis span (Z2 min/max).


Position

The Position section contains X, Y and Z position relative to the origin 0, 0, 0 and the axis of direction: X, Y, Z (default) or User defined described by (x, y, z) vector.

     


The wedge at origin position and along X axis.


The wedge at origin position and along Y axis.


The wedge at origin position and along Z axis.


The wedge shifted from origin position and along Z axis.


The wedge shifted from origin position and along axis described by (0, 1, 1) vector.


Map to face

From Pick option allows adjusting the position and axis of direction.


Press left mouse button for face selection.


Press From Pick button to place the wedge on the selected face.


Python code

The python code, which can be useful when creating project scripts, generated by Create Wedge dialogue for default parameters:


from FreeCAD import Base

import Part,PartGui

App.ActiveDocument.addObject("Part::Wedge","Wedge")

App.ActiveDocument.Wedge.Xmin = 0.00000

App.ActiveDocument.Wedge.Ymin = 0.00000

App.ActiveDocument.Wedge.Zmin = 0.00000

App.ActiveDocument.Wedge.Z2min = 2.00000

App.ActiveDocument.Wedge.X2min = 2.00000

App.ActiveDocument.Wedge.Xmax = 10.00000

App.ActiveDocument.Wedge.Ymax = 10.00000

App.ActiveDocument.Wedge.Zmax = 10.00000

App.ActiveDocument.Wedge.Z2max = 8.00000

App.ActiveDocument.Wedge.X2max = 8.00000

App.ActiveDocument.Wedge.Placement = Base.Placement(Base.Vector(0.00000,0.00000,0.00000),Base.Rotation(0.00000,0.00000,0.00000,1.00000))

App.ActiveDocument.Wedge.Label = "Wedge"

App.ActiveDocument.Wedge.Medium = QW_Modeller.getQWMedium("metal")

Gui.SendMsgToActiveView("ViewFit")

App.ActiveDocument.recompute()